<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/web/thymeleaf/layout"
    layout:decorate="layout">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Thêm lớp</title>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css"
        rel="stylesheet">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
    <style>
        .input {
            background-color: white;
            border: 1px solid #F3BD50;
        }
       
        .select2-container {
            width: 100% !important;
        }
        .select2-container--default .select2-selection--multiple {
            background-color: white;
            border: 1px solid #F3BD50;
            display: flex;
            flex-wrap: wrap;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
           height: 37px;
            display: flex;
            flex-wrap: nowrap;
            overflow-x: auto;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice {
            margin-right: 4px;
        }
    </style>
</head>

<body>
    <div layout:fragment="content">
        <div class="col-8">

            <nav class="navbar bg-body-tertiary">
                <div class="container-fluid">
                    <span class="navbar-brand mb-0 h1">Thông tin lớp học</span>
                </div>
            </nav>
            <form th:action="@{/class/create}" th:object="${class}" method="post" id="form-class">
                <input type="hidden" th:field="*{id}">
                <input type="hidden" th:field="*{methodCourse.id}">
                <div class="row mb-3 m-2 p-2">
                    <div class="col ">
                        <label for="sel1" class="form-label"><b>Tên khóa học <span
                                    class="text-danger">*</span></b></label>
                        <select class="form-select input" th:field="*{methodCourse.course.id}">
                            <option th:each="item:${courses}" th:text="${item.name}" th:value="${item.id}">1</option>
                        </select>
                        <span class="error" id="courseError"></span><br>
                    </div>
                    <div class="col ">
                        <label class="form-label"><b>Mã lớp <span class="text-danger">*</span></b></label>
                        <div class="input-group ">
                            <input type="text" class="form-control input" th:field="*{classCode}"
                                placeholder="Nhập mã lớp">
                        </div>
                        <span class="error" id="classCodeError"></span><br>
                    </div>
                    <div class="col ">
                        <label for="sel1" class="form-label"><b>Hình thức học <span
                                    class="text-danger">*</span></b></label>
                        <select class="form-select input" th:field="*{methodCourse.method.id}">
                            <option th:each="item:${methods}" th:text="${item.name}" th:value="${item.id}">1</option>
                        </select>
                        <span class="error" id="methodError"></span><br>
                    </div>
                </div>
                <div class="row mb3  m-2 p-2">
                    <div class="col-2 ">
                        <label for="" class="form-label"><b>Giờ vào học <span class="text-danger">*</span></b></label>
                        <div class="input-group ">
                            <input type="time" class="form-control input " th:field="*{startHour}">

                        </div>
                        <span class="error" id="startHourError"></span><br>
                    </div>

                    <div class="col-2 ">
                        <label for="" class="form-label"><b>Giờ tan học <span class="text-danger">*</span></b></label>
                        <div class="input-group ">
                            <input type="time" class="form-control input " th:field="*{endHour}">

                        </div>
                        <span class="error" id="endHourError"></span><br>
                    </div>

                    <div class="col">
                        <label for="" class="form-label"><b>Ngày bắt đầu Lớp <span
                                    class="text-danger">*</span></b></label>
                        <div class="input-group ">
                            <input type="date" class="form-control no-border-right input" id="datepicker"
                                th:field="*{startDate}">
                           
                        </div>
                        <span class="error" id="startDateError"></span><br>
                    </div>
                    <!-- <div class="col">
                        <label for="sel1" class="form-label"><b>Ca học <span class="text-danger">*</span></b></label>
                        <select class="form-select input" th:field="*{classSchedule}">
                            <option value="T2">Thứ 2</option>
                            <option value="T3">Thứ 3</option>
                            <option value="T4">Thứ 4</option>
                            <option value="T5">Thứ 5</option>
                            <option value="T6">Thứ 6</option>
                            <option value="T7">Thứ 7</option>
                            <option value="CN">Chủ nhật</option>
                        </select>
                        <span class="error" id="classScheduleError"></span><br>
                    </div> -->
                    <input type="hidden" name="" th:value="*{classSchedule}" id="dataClassSchedule">
                    <div class="col">
                        <label for="classSchedule" class="form-label"><b>Ca học <span
                            class="text-danger">*</span></b></label>

                        <select multiple="multiple" class="form-select form-control input" th:field="*{classSchedule}" 
                        id="classSchedule" aria-label="multiple select example">
                            <option value="T2">Thứ 2</option>
                            <option value="T3">Thứ 3</option>
                            <option value="T4">Thứ 4</option>
                            <option value="T5">Thứ 5</option>
                            <option value="T6">Thứ 6</option>
                            <option value="T7">Thứ 7</option>
                            <option value="CN">Chủ nhật</option>
                        </select>
                        <span class="error" id="classScheduleError"></span><br>
                    </div>
                </div>
               
                <div class="row mb3 m-2 p-2 d-flex justify-content-end ">
                    <div class="col-5 d-flex align-items-center justify-content-center ">
                        <div class="form-check">
                            <input class="form-check-input input" type="checkbox" id="isContinue" name="isContinue"
                                value="true">
                            <label class="form-check-label" for="isContinue">Thêm tiếp</label>
                        </div>

                        <button th:if="*{#strings.isEmpty(id)}" class="btn btn-warning btn-bg-ra  flex-fill m-2 p-2"
                            type="button" data-bs-toggle="modal" data-bs-target="#add-modal">
                            Thêm
                        </button>
                        <a th:href="@{/class}" class="btn border  flex-fill m-2 p-2">
                            Huỷ
                        </a>
                    </div>

                </div>
            </form>

        </div>

        <!-- Modal thêm lớp-->
        <div class="modal fade model-confirm" id="add-modal" tabindex="-1" aria-labelledby="exampleModalLabel"
            aria-hidden="true" data-bs-backdrop="static">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-body text-center">
                        <div class="d-flex justify-content-end align-items-center">
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <b>Hoàn thành thêm lớp học</b>
                        <p> Bạn có muốn hoàn thành thêm lớp học</p>
                        <button type="button" class="btn btn-bg-ra m-2 p-2 text-white  btn-submit btn-warning">Đồng
                            ý</button>
                        <a th:href="@{/class}" class="btn border m-2 p-2">Huỷ</a>
                    </div>
                </div>
            </div>
        </div>

        <div aria-live="polite" aria-atomic="true" class="position-fixed top-0 end-0 p-3">
            <!-- Then put toasts within -->
            <div class="toast bg-toast-fail text-toast-fail" id="toastFail" role="alert" aria-live="assertive"
                aria-atomic="true" data-bs-autohide="true" data-bs-delay="3000">
                <div class="toast-body d-flex justify-content-between align-items-center">
                    <div class="bg-toast-fail">
                        <svg width="39" height="35" viewBox="0 0 39 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <mask id="mask0_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0" y="0"
                                width="39" height="35">
                                <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                            </mask>
                            <g mask="url(#mask0_2355_3045)">
                                <path
                                    d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827Z"
                                    fill="#EF665B" />
                                <path
                                    d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827ZM19.3562 29.166C22.8503 29.166 25.8098 28.0358 28.2348 25.7754C30.6598 23.515 31.8723 20.7563 31.8723 17.4993C31.8723 14.2424 30.6598 11.4837 28.2348 9.22331C25.8098 6.96289 22.8503 5.83268 19.3562 5.83268C15.8621 5.83268 12.9025 6.96289 10.4775 9.22331C8.05249 11.4837 6.83998 14.2424 6.83998 17.4993C6.83998 20.7563 8.05249 23.515 10.4775 25.7754C12.9025 28.0358 15.8621 29.166 19.3562 29.166Z"
                                    fill="#EF665B" />
                            </g>
                            <mask id="mask1_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0" y="0"
                                width="39" height="35">
                                <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                            </mask>
                            <g mask="url(#mask1_2355_3045)">
                                <path
                                    d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                    fill="#1C1B1F" />
                                <path
                                    d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                    fill="white" />
                            </g>
                        </svg>

                    </div>
                    <div class="toast-content flex-grow-1 d-flex align-items-center justify-content-center">
                        <p>Mã lớp đã tồn tại</p>
                    </div>
                    <button type="button" class="btn-close text-toast" data-bs-dismiss="toast"
                        aria-label="Close"></button>
                </div>
            </div>

        </div>

        <div aria-live="polite" aria-atomic="true" class="position-fixed top-0 end-0 p-3">
            <div class="toast bg-toast text-toast" id="toastSuccess" role="alert" aria-live="assertive"
                aria-atomic="true" data-bs-autohide="true" data-bs-delay="3000">
                <div class="toast-body d-flex justify-content-between align-items-center">
                    <div class="bg-toast">
                        <svg width="39" height="35" viewBox="0 0 39 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <mask id="mask0_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0" y="0"
                                width="39" height="35">
                                <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                            </mask>
                            <g mask="url(#mask0_2355_3045)">
                                <path
                                    d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827Z"
                                    fill="#00b074" />
                                <path
                                    d="M19.3562 32.0827C17.1919 32.0827 15.158 31.6999 13.2545 30.9342C11.351 30.1686 9.69524 29.1296 8.28717 27.8171C6.8791 26.5046 5.76437 24.9612 4.943 23.1868C4.12162 21.4125 3.71094 19.5167 3.71094 17.4993C3.71094 15.482 4.12162 13.5862 4.943 11.8118C5.76437 10.0375 6.8791 8.49414 8.28717 7.18164C9.69524 5.86914 11.351 4.83008 13.2545 4.06445C15.158 3.29883 17.1919 2.91602 19.3562 2.91602C21.5204 2.91602 23.5543 3.29883 25.4578 4.06445C27.3613 4.83008 29.0171 5.86914 30.4252 7.18164C31.8332 8.49414 32.948 10.0375 33.7693 11.8118C34.5907 13.5862 35.0014 15.482 35.0014 17.4993C35.0014 19.5167 34.5907 21.4125 33.7693 23.1868C32.948 24.9612 31.8332 26.5046 30.4252 27.8171C29.0171 29.1296 27.3613 30.1686 25.4578 30.9342C23.5543 31.6999 21.5204 32.0827 19.3562 32.0827ZM19.3562 29.166C22.8503 29.166 25.8098 28.0358 28.2348 25.7754C30.6598 23.515 31.8723 20.7563 31.8723 17.4993C31.8723 14.2424 30.6598 11.4837 28.2348 9.22331C25.8098 6.96289 22.8503 5.83268 19.3562 5.83268C15.8621 5.83268 12.9025 6.96289 10.4775 9.22331C8.05249 11.4837 6.83998 14.2424 6.83998 17.4993C6.83998 20.7563 8.05249 23.515 10.4775 25.7754C12.9025 28.0358 15.8621 29.166 19.3562 29.166Z"
                                    fill="#00b074" />
                            </g>
                            <mask id="mask1_2355_3045" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0" y="0"
                                width="39" height="35">
                                <rect x="0.582031" width="37.5485" height="35" fill="#D9D9D9" />
                            </mask>
                            <g mask="url(#mask1_2355_3045)">
                                <path
                                    d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                    fill="#00FF00" />
                                <path
                                    d="M13.7235 24.7923L19.3558 19.5423L24.9881 24.7923L27.1784 22.7507L21.5461 17.5007L27.1784 12.2507L24.9881 10.209L19.3558 15.459L13.7235 10.209L11.5332 12.2507L17.1655 17.5007L11.5332 22.7507L13.7235 24.7923Z"
                                    fill="white" />
                            </g>
                        </svg>
                    </div>
                    <div class="toast-content flex-grow-1 d-flex align-items-center justify-content-center">
                        <p>Thêm mới lớp học thành công</p>
                    </div>
                    <button type="button" class="btn-close text-toast" data-bs-dismiss="toast"
                        aria-label="Close"></button>
                </div>
            </div>

        </div>
        <script th:src="@{/js/class.js}"></script>
        <script>
            var urlParams = new URLSearchParams(window.location.search);
            if (urlParams.has('create-error')) {
                var toastEl = document.getElementById('toastFail');
                var toast = new bootstrap.Toast(toastEl);
                toast.show();
            }
            if (urlParams.has('create-success')) {
                var toastEl = document.getElementById('toastSuccess');
                var toast = new bootstrap.Toast(toastEl);
                toast.show();
            }
            $('#mySelect').select2({
                placeholder: "Chọn mục",
                allowClear: true,
                tags: true
            });
        </script>


</body>

</html>